/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLFormElement_H__
#define __GdomHTMLFormElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLFormElement GdomHTMLFormElement;
typedef struct _GdomHTMLFormElementClass GdomHTMLFormElementClass;


#define GDOM_TYPE_HTML_FORM_ELEMENT            (gdom_html_form_element_get_type())
#define GDOM_HTML_FORM_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_FORM_ELEMENT, GdomHTMLFormElement))
#define GDOM_HTML_FORM_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_FORM_ELEMENT, GdomHTMLFormElement)Class)
#define GDOM_IS_HTML_FORM_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_FORM_ELEMENT))
#define GDOM_IS_HTML_FORM_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_FORM_ELEMENT))
#define GDOM_HTML_FORM_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_FORM_ELEMENT, GdomHTMLFormElementClass))

typedef struct _GdomHTMLFormElementPrivate GdomHTMLFormElementPrivate;

struct _GdomHTMLFormElement {
    GdomHTMLElement parent_instance;
    GdomHTMLFormElementPrivate *priv;
};

struct _GdomHTMLFormElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_form_element_get_type (void);

WEBKIT_API void
gdom_html_form_element_submit (GdomHTMLFormElement *thiz);

WEBKIT_API void
gdom_html_form_element_reset (GdomHTMLFormElement *thiz);

G_END_DECLS

#endif /* __GdomHTMLFormElement_H__ */
